Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface ScopeInfoDocument

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ScopeInfoDocumentImpl

    public interface ScopeInfoDocument

extends org.apache.xmlbeans.XmlObject

A document containing one scope-info(@http://www.apache.org/ode/pmapi/types/2006/08/02/) element. This is a complex type.

Nested Class Summary
`static class` | `ScopeInfoDocument.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TScopeInfo` | `addNewScopeInfo()` Appends and returns a new empty "scope-info" element
`TScopeInfo` | `getScopeInfo()` Gets the "scope-info" element
`void` | `setScopeInfo(TScopeInfo scopeInfo)` Sets the "scope-info" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getScopeInfo

    TScopeInfo getScopeInfo()

  Gets the "scope-info" element

### setScopeInfo

    void setScopeInfo(TScopeInfo scopeInfo)

  Sets the "scope-info" element

### addNewScopeInfo

    TScopeInfo addNewScopeInfo()

  Appends and returns a new empty "scope-info" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD